.telegram_popup {
	display:none!important;
}

.chatb:not(.active) {
	display:none!important;
}

.chatb {
	width:100vw;
	height:100vh;
	background:#00000078;
	backdrop-filter:blur(3px);
	display:flex;
	align-items:center;
	justify-content:center;
	position:fixed;
	top:0;
	left:0;
	z-index:99999;
    padding:15px;
}

.chatb .chat {
    width: 100%;
    height: fit-content;
    min-height: 200px;
    max-width: 425px;
    background: url(/inc/chatb/img/chat_bot_bg4.jpg) no-repeat, linear-gradient(122deg, #d0e7a1, #a5dba6);
    background-size: cover;
    border-radius: 15px;
    padding: 15px;
    box-shadow: 0px 8px 35.2px 0px #00000057;
    background-position: top;
}

.chatb .chat .items .item {
	display:flex;
    align-items: flex-end;
}

.chatb .chat .items .item .avatar {
	min-width:45px;
    opacity:0;
    
}

.chatb .chat .items .item .avatar.active {
    opacity:1;
}

.chatb .chat .items .item .avatar div {
	width:35px;
    height:35px;
    border-radius:50%;
    overflow:hidden;
}

.chatb .chat .items .item .avatar div img {
	width:100%;
    height:100%;
    object-fit:cover;
}

.chatb .chat .items .item .messages {
    display: grid;
    gap: 2px;
}

.chatb .chat .items .item .messages .message {
	padding:12px;
    background:#fff;
    border:#bdbdbd 1px solid;
    border-radius:10px;
    opacity:0;
    transition:opacity .2s;
    height:0;
}

.chatb .chat .items .item .messages .message.active {
	opacity:1;
    height:auto;
    margin:0;
}

.chatb .chat .items .item .messages .message + .message {
	border-radius:10px 10px 10px 0;
}

.chatb .chat .items .item .messages .message .name {
	font-size:13px;
    font-weight:600;
    color:#8544e4;
    line-height:1;
    padding-bottom:5px;
}

.chatb .chat .items .item .messages .message + .message .name {
	display:none;
}

.chatb .chat .items .item .messages .message .text {
	font-size:13px;
    line:height:120%;
    max-width:calc( 100% - 40px );
}

.chatb .chat .items .item .messages .message .time {
	font-size:12px;
    color:#ababab;
    text-align:right;
    margin-top:-20px;
}

.chatb .chat .input_box {
	padding:7px;
    background:#fff;
    border:#bdbdbd 1px solid;
    border-radius:10px;
    margin-top:15px;
    opacity:0;
    position:relative;
    transition:all .3s;
}

.chatb .chat .input_box.active {
	opacity:1;
    
}

.chatb .chat .input_box input {
	width:100%;
    border:#ffffff 1px solid;
    border-radius: 5px;
    height:100%;
    display:flex;
    padding:5px;
    outline: none;
}

.chatb .chat .input_box img {
    position: absolute;
    top: 12px;
    right: 13px;
    filter: grayscale(1);
    opacity:.7;
    transition:all .3s;
}

.chatb .chat .input_box img.active {
    filter: grayscale(0);
    opacity:1;
    cursor:pointer;
}

.chatb .chat {
    position:relative;
}

.chatb .chat .closes {
    position: relative;
    text-align: right;
    cursor: pointer;
    width: 100%;
    color: #ffffff;
    transition: opacity:.3s;
    opacity: 0;
    background: #fff;
    border-radius: 15px 15px 0 0;
    padding-bottom: 8px;
    padding: 5px 18px 5px 5px;
    width: calc(100% + 30px);
    margin-left: -15px;
    margin-bottom: 15px;
    margin-top: -15px;
    border-bottom: #bdbdbd 1px solid;
    display:flex;
    justify-content:space-between;
}

.chatb .chat .closes.active {
    opacity:1;
}


.chatb .chat .closes span {
    color: #65a976;
    border-bottom:#65a976 1px dashed;
    font-size:12px;
}

.chatb .chat .closes .closes_box {
    display:flex;
    align-items:center;
}

.chatb .chat .closes .group_avatar {
    width:35px;
    height:35px;
    overflow:hidden;
    border-radius:50%;
}

.chatb .chat .closes .group_box {
    display:flex;
    align-items:center;
}

.chatb .chat .closes .group_box .group_name {
    font-weight:bold;
    padding-left:10px;
    font-size:13px;
    color:#de722f;
    line-height: 1;
    
}

.chatb .chat .socs {
    display: flex;
    gap: 10px;
    align-items: center;
    padding-top: 10px;
    flex-wrap: wrap;
    opacity: 0;
    max-height: 0;
    width: calc(100% + 30px);
    transition: all .3s;
    margin-left: -15px;
    padding: 10px 15px;
    margin-bottom: -15px;
    border-radius: 0 0 15px 15px;
    background: linear-gradient(0deg, #0c8832db, transparent);
}

.chatb .chat .socs.active {
    opacity:1;
    max-height:50px;
}

.chatb .chat .socs .i {
    display: flex;
    gap: 5px;
    align-items: center;
    text-decoration:none;
    color:#fff;
    font-size:14px;
}

.chatb .chat .socs .i .ico {
    width: 30px;
    background: #1c83e7;
    border-radius: 50%;
    display: flex;
    align-items: center;
    padding:5px;
}

.chatb .chat .socs .i .ico.max {
    padding: 7px;
    background: linear-gradient(50deg, #009ef2, #f50fff);
}

.chatb .chat .socs .ili {
    text-align:center;
    color:#fff;
    padding: 0;
    width: 100%;
}





@media( max-width:768px ){

    .chatb .chat .socs .i {
        font-size: 12px;
    }
    
    .chatb .chat .socs .i .ico {
        width: 27px;
    }

}
